tuklib_common.h File Reference

Common definitions for tuklib modules. More...

`#include "tuklib_config.h"`

## Macros

#define | TUKLIB_CAT_X(a, b) a ## b
#define | TUKLIB_CAT(a, b) TUKLIB_CAT_X(a, b)
#define | TUKLIB_SYMBOL(sym) TUKLIB_CAT(TUKLIB_SYMBOL_PREFIX, sym)
#define | TUKLIB_DECLS_BEGIN
#define | TUKLIB_DECLS_END
#define | TUKLIB_GNUC_REQ(major, minor) 0
#define | tuklib_attr_noreturn

## Detailed Description

Common definitions for tuklib modules.